### Function

# Gdkpixbuf_get_from_texture

deprecated: 4.12

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_get_from_texture (
      GdkTexture* texture
    )

#### Description [src]

Creates a new pixbuf from `texture`.

This should generally not be used in newly written code as later stages will almost certainly convert the pixbuf back into a texture to draw it on screen.

Deprecated since: 4.12

Use `GdkTexture` and subclasses instead cairo surfaces and pixbufs.

#### Parameters

`texture`

  Type: `GdkTexture`

  A `GdkTexture`

  The data is owned by the caller of the function.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.